Bug 1289958 - (CVE-2015-5259) CVE-2015-5259 subversion: integer overflow in the svn:// protocol parser
CVE-2015-5259 subversion: integer overflow in the svn:// protocol parser
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151215,repo...
: Security
Depends On: 1292015
Blocks: 1289964
  Show dependency treegraph
 
Reported: 2015-12-09 07:17 EST by Martin Prpič
Modified: 2016-02-29 17:21 EST (History)
1 user (show)

See Also:
Fixed In Version: subversion 1.9.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 22:12:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVE-2015-5259-1.9.2.patch (916 bytes, text/plain)
2015-12-09 07:24 EST, Martin Prpič
no flags Details

  None (edit)
Description Martin Prpič 2015-12-09 07:17:21 EST
The following flaw was reported in Subversion:

Subversion servers and clients are vulnerable to a remotely triggerable heap-based buffer overflow and out-of-bounds read caused by an integer overflow in the svn:// protocol parser.

This allows remote attackers to cause a denial of service or possibly execute arbitrary code under the context of the targeted process.

Acknowledgements:

Red Hat would like to thank the Apache Software Foundation for reporting this issue. Upstream acknowledges Ivan Zhakov of VisualSVN as the original reporter.
Comment 2 Martin Prpič 2015-12-09 07:24:31 EST
Created attachment 1103853 [details]
CVE-2015-5259-1.9.2.patch
Comment 4 Martin Prpič 2015-12-16 03:28:28 EST
Public via upstream advisory:

External References:

https://subversion.apache.org/security/CVE-2015-5259-advisory.txt
Comment 5 Martin Prpič 2015-12-16 03:30:22 EST
Created subversion tracking bugs for this issue:

Affects: fedora-all [bug 1292015]
Comment 6 Fedora Update System 2015-12-22 17:03:18 EST
subversion-1.9.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-02-29 17:21:45 EST
subversion-1.8.15-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.